<?php

/**
* Created by : Julien Dubois.
* Version : 2;
* Update date : 13.05.2022
*/

require_once("../Workers/Connexion.php");
require_once("SessionManager.php");
require_once("../Workers/StageDBManager.php");

/**
 * Request Serveur gérant les stages du site web. 
 * 
 * utilisant un GET "getDetails" pour charger les infomrations d'un stage.
 * 
 * utilisant un GET "getAllStages" pour charger tout les stages.
 */
if (isset($_SERVER['REQUEST_METHOD'])) {
    $sessionManager=new SessionManager();
    $stageDBManager=new StageDbManager();
    if ($_SERVER['REQUEST_METHOD'] == 'GET') {
        if ($_GET['action'] === "getDetails") {
            if($_SESSION['isLogged'] == 'oui'){
                $signeStage = $stageDBManager->getSingleStage($_GET['pkStage'], $sessionManager->whoIsLogged());
                echo $signeStage;
            }else{
                http_response_code(403);
            }
        }
        if ($_GET['action'] === "getAllStages") {
            $stages = $stageDBManager->getStages();
            echo $stages;
        } 
    }
}

















?>